## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.AbstractChunkReader

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader

Direct Known Subclasses:
  StreamCharBuffer.CharBufferChunkReader, StreamCharBuffer.StreamCharBufferSubChunkReader, StreamCharBuffer.StringChunkReader

Enclosing class:
  StreamCharBuffer

    abstract class StreamCharBuffer.AbstractChunkReader

extends StreamCharBuffer.ChunkReader

Constructor Summary
`StreamCharBuffer.AbstractChunkReader(StreamCharBuffer.AbstractChunk parentChunk, boolean removeAfterReading)`

Method Summary
`int` `getWriterUsedCounter()`
`boolean` `isValid()`
`StreamCharBuffer.ChunkReader` `next()`

Methods inherited from class org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader
`getReadLenLimit, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamCharBuffer.AbstractChunkReader

    public StreamCharBuffer.AbstractChunkReader(StreamCharBuffer.AbstractChunk parentChunk,
                                                boolean removeAfterReading)

Method Detail

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in class `StreamCharBuffer.ChunkReader`

### next

    public StreamCharBuffer.ChunkReader next()

  Specified by:
    `next` in class `StreamCharBuffer.ChunkReader`

### getWriterUsedCounter

    public int getWriterUsedCounter()

  Specified by:
    `getWriterUsedCounter` in class `StreamCharBuffer.ChunkReader`

Copyright (c) 2005-2009 The Grails project